Page MenuHomePhabricator

"Nested" dialogs (template inside a basic reference) break the OOUI hack to prevent scrolling while dialog is open
Closed, ResolvedPublic1 Story Points

Description

"Nested" dialogs (template inside a basic reference) break the OOUI hack to prevent scrolling while dialog is open (added in 4d87bde4495e5204b722d2154885f9c127ad30e3 / https://gerrit.wikimedia.org/r/#/c/179598/).

To reproduce:

  • View https://en.wikipedia.org/wiki/Skyfall#Casting, open VisualEditor
  • Open the first reference in this section (currently numbered [17], [15] in VE probably due to T52474)
    • Observe that window scrollbar disappears.
    • Observe that the window scrolls slightly (T89612).
  • The reference has two templates in it; open either one
  • Close the "nested" dialog
    • Observe that the scrollbar has incorrectly reappeared, while it should only reappear after the "parent" dialog is closed.
    • Observe that the position of the blue highlight on the [15] is not updated.

Event Timeline

matmarex created this task.Feb 15 2015, 7:16 PM
matmarex assigned this task to Esanders.
matmarex raised the priority of this task from to Needs Triage.
matmarex updated the task description. (Show Details)
matmarex added a subscriber: matmarex.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 15 2015, 7:16 PM
gerritbot added a subscriber: gerritbot.

Change 190806 had a related patch set uploaded (by Esanders):
Only modify body class when first/last window opens/closes

https://gerrit.wikimedia.org/r/190806

Patch-For-Review

Jdforrester-WMF triaged this task as Normal priority.Feb 16 2015, 6:51 PM
Jdforrester-WMF set Security to None.
Jdforrester-WMF moved this task from To Triage to Blocked on the VisualEditor board.
Jdforrester-WMF moved this task from Backlog to Doing on the OOUI board.Feb 16 2015, 11:37 PM

Change 190806 merged by jenkins-bot:
Only modify body class when first/last window opens/closes

https://gerrit.wikimedia.org/r/190806

Jdforrester-WMF closed this task as Resolved.Feb 27 2015, 7:33 PM
Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.Feb 28 2015, 12:55 AM
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF edited a custom field.Mar 9 2015, 6:10 PM

Verified the fix in beta.

Jdforrester-WMF moved this task from Doing to Reviewing on the OOUI board.Mar 26 2015, 8:57 PM